Bug 1201654 - Review Request: tmux-top - Monitoring information for your tmux status line.
Summary: Review Request: tmux-top - Monitoring information for your tmux status line.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 08:17 UTC by Tomas Tomecek
Modified: 2015-04-21 19:29 UTC (History)
2 users (show)

Fixed In Version: tmux-top-0.0.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:29:34 UTC
jchaloup: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
add devel subpackage, update build and test section (2.54 KB, patch)
2015-03-13 09:01 UTC, Jan Chaloupka
no flags Details | Diff

Description Tomas Tomecek 2015-03-13 08:17:42 UTC
Spec URL: https://ttomecek.fedorapeople.org/tmux-top.spec
SRPM URL: https://ttomecek.fedorapeople.org/tmux-top-0.0.1-1.fc21.src.rpm
Description:
Monitoring information for your tmux status line.

tmux-top allows you to see your:

 * load
 * memory usage
 * network information
 * I/O

Fedora Account System Username: ttomecek

Comment 1 Jan Chaloupka 2015-03-13 09:01:51 UTC
Created attachment 1001307 [details]
add devel subpackage, update build and test section

Comment 2 Tomas Tomecek 2015-03-16 09:43:59 UTC
(In reply to Jan Chaloupka from comment #1)
> Created attachment 1001307 [details]
> add devel subpackage, update build and test section

Thanks for the patch!


Updated:

https://ttomecek.fedorapeople.org/tmux-top.spec
https://ttomecek.fedorapeople.org/tmux-top-0.0.1-2.fc21.src.rpm

Comment 3 Jan Chaloupka 2015-03-16 19:20:19 UTC
Summary:
- license ok (GPLv2+)
- provider, provider_tld, project, repo, commit macros presented
- devel subpackage ok (ships only source codes)
- binaries in main package

If you plan to build the package for el6, please, add:
ExclusiveArch:  %{ix86} x86_64 %{arm}
into spec file (usually after Source* tags).

To provide debug info you can replace
%global debug_package   %{nil}
with
%global _dwz_low_mem_die_limit 0

Spec file conforms to Go packaging draft.

Comment 4 Jan Chaloupka 2015-03-16 19:21:22 UTC
And you can remove
Requires:       golang(github.com/codegangsta/cli)
from main package as this is needed only for building :).

Comment 5 Tomas Tomecek 2015-03-17 07:57:42 UTC
New Package SCM Request
=======================
Package Name: tmux-top
Short Description: Monitoring information for your tmux status line.
Upstream URL: https://github.com/TomasTomecek/tmux-top
Owners: ttomecek
Branches: f21 f22 el6 epel7
InitialCC: ttomecek

Comment 6 Gwyn Ciesla 2015-03-17 12:58:40 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-04-04 18:10:04 UTC
tmux-top-0.0.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tmux-top-0.0.1-2.fc22

Comment 8 Fedora Update System 2015-04-04 18:20:38 UTC
tmux-top-0.0.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tmux-top-0.0.1-2.fc21

Comment 9 Fedora Update System 2015-04-04 18:23:47 UTC
tmux-top-0.0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tmux-top-0.0.1-2.el6

Comment 10 Fedora Update System 2015-04-05 17:54:28 UTC
tmux-top-0.0.1-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 11 Fedora Update System 2015-04-20 18:37:31 UTC
tmux-top-0.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2015-04-21 19:27:56 UTC
tmux-top-0.0.1-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2015-04-21 19:29:34 UTC
tmux-top-0.0.1-2.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.